VULKAN_HPP_NAMESPACE::ImageSubresource Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImageSubresource:
[legend]

## Public Member Functions

| ImageSubresource (ImageAspectFlags aspectMask_=ImageAspectFlags(), uint32_t mipLevel_=0, uint32_t arrayLayer_=0)
| ImageSubresource (VkImageSubresource const &rhs)
ImageSubresource & | operator= (VkImageSubresource const &rhs)
ImageSubresource & | setAspectMask (ImageAspectFlags aspectMask_)
ImageSubresource & | setMipLevel (uint32_t mipLevel_)
ImageSubresource & | setArrayLayer (uint32_t arrayLayer_)
| operator VkImageSubresource const & () const
| operator VkImageSubresource & ()
bool | operator== (ImageSubresource const &rhs) const
bool | operator!= (ImageSubresource const &rhs) const

## Data Fields

ImageAspectFlags | aspectMask
uint32_t | mipLevel
uint32_t | arrayLayer

## Detailed Description

Definition at line 24744 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageSubresource() [1/2]

VULKAN_HPP_NAMESPACE::ImageSubresource::ImageSubresource | ( | ImageAspectFlags | aspectMask_ = `ImageAspectFlags()`,
|  | uint32_t | mipLevel_ = `0`,
|  | uint32_t | arrayLayer_ = `0`
| ) |  |

inline

Definition at line 24746 of file vulkan.hpp.

: aspectMask( aspectMask_ )
, mipLevel( mipLevel_ )
, arrayLayer( arrayLayer_ )
{
}

## ImageSubresource() [2/2]

VULKAN_HPP_NAMESPACE::ImageSubresource::ImageSubresource | ( | VkImageSubresource const & | rhs | ) |

inline

Definition at line 24755 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageSubresource ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageSubresource &()

VULKAN_HPP_NAMESPACE::ImageSubresource::operator VkImageSubresource & | ( |  | ) |

inline

Definition at line 24788 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageSubresource*>(this);
}

## operator VkImageSubresource const &()

VULKAN_HPP_NAMESPACE::ImageSubresource::operator VkImageSubresource const & | ( |  | ) | const

inline

Definition at line 24783 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageSubresource*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageSubresource::operator!= | ( | ImageSubresource const & | rhs | ) | const

inline

Definition at line 24800 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageSubresource& VULKAN_HPP_NAMESPACE::ImageSubresource::operator= | ( | VkImageSubresource const & | rhs | ) |

inline

Definition at line 24760 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageSubresource ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageSubresource::operator== | ( | ImageSubresource const & | rhs | ) | const

inline

Definition at line 24793 of file vulkan.hpp.

{
return ( aspectMask == rhs.aspectMask )
&& ( mipLevel == rhs.mipLevel )
&& ( arrayLayer == rhs.arrayLayer );
}

References arrayLayer, aspectMask, and mipLevel.

Referenced by operator!=().

## setArrayLayer()

ImageSubresource& VULKAN_HPP_NAMESPACE::ImageSubresource::setArrayLayer | ( | uint32_t | arrayLayer_ | ) |

inline

Definition at line 24777 of file vulkan.hpp.

{
arrayLayer = arrayLayer_;
return *this;
}

References arrayLayer.

## setAspectMask()

ImageSubresource& VULKAN_HPP_NAMESPACE::ImageSubresource::setAspectMask | ( | ImageAspectFlags | aspectMask_ | ) |

inline

Definition at line 24765 of file vulkan.hpp.

{
aspectMask = aspectMask_;
return *this;
}

References aspectMask.

## setMipLevel()

ImageSubresource& VULKAN_HPP_NAMESPACE::ImageSubresource::setMipLevel | ( | uint32_t | mipLevel_ | ) |

inline

Definition at line 24771 of file vulkan.hpp.

{
mipLevel = mipLevel_;
return *this;
}

References mipLevel.

## Field Documentation

## arrayLayer

uint32_t VULKAN_HPP_NAMESPACE::ImageSubresource::arrayLayer

Definition at line 24807 of file vulkan.hpp.

Referenced by operator==(), and setArrayLayer().

## aspectMask

ImageAspectFlags VULKAN_HPP_NAMESPACE::ImageSubresource::aspectMask

Definition at line 24805 of file vulkan.hpp.

Referenced by operator==(), and setAspectMask().

## mipLevel

uint32_t VULKAN_HPP_NAMESPACE::ImageSubresource::mipLevel

Definition at line 24806 of file vulkan.hpp.

Referenced by operator==(), and setMipLevel().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageSubresource::arrayLayer
uint32_t arrayLayer
Definition: vulkan.hpp:24807
VULKAN_HPP_NAMESPACE::ImageSubresource::mipLevel
uint32_t mipLevel
Definition: vulkan.hpp:24806
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImageSubresource::operator==
bool operator==(ImageSubresource const &rhs) const
Definition: vulkan.hpp:24793
VkImageSubresource
Definition: vulkan_core.h:2126
VULKAN_HPP_NAMESPACE::ImageSubresource::ImageSubresource
ImageSubresource(ImageAspectFlags aspectMask_=ImageAspectFlags(), uint32_t mipLevel_=0, uint32_t arrayLayer_=0)
Definition: vulkan.hpp:24746
VULKAN_HPP_NAMESPACE::ImageSubresource::aspectMask
ImageAspectFlags aspectMask
Definition: vulkan.hpp:24805